<? include('checkcookie.php'); ?>
<b>Редактирование ссылок в Авто-Серфинге:</b><br>
<?php
include('config.php');
if(isset($_POST["id"])){
	$sql = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='auto_timer_ot' AND `howmany`='1'");
	$auto_timer_ot = mysql_result($sql,0,0);

	$sql = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='auto_timer_do' AND `howmany`='1'");
	$auto_timer_do = mysql_result($sql,0,0);

	$id = (isset($_POST["id"])) ? intval(limpiar($_POST["id"])) : false;
	$limit_now = (isset($_POST["limit_now"])) ? intval(limpiar($_POST["limit_now"])) : false;
	$description = (isset($_POST["description"])) ? limpiar($_POST["description"]) : false;
	$url = (isset($_POST["url"])) ? limpiar($_POST["url"]) : false;
	$plan = (isset($_POST["plan"])) ? intval(limpiar($_POST["plan"])) : false;
	$timer = (isset($_POST["timer"])) ? intval(limpiar($_POST["timer"])) : false;
	$limit = (isset($_POST["limit"])) ? intval(limpiar($_POST["limit"])) : false;

	if(empty($description)) {
		echo '<b style="color:#FF0000;">Ошибка! Не заполнено поле Описание ссылки.</b><br>';
	}else{
		if(empty($url) or $url=="http://" or strlen($url)<11) {
			echo '<b style="color:#FF0000;">Ошибка! Не заполнено поле URL ссылки или заполнено не корректно.</b><br>';
		}else{
			if($timer < $auto_timer_ot | $timer > $auto_timer_do) {
				echo '<b style="color:#FF0000;">Ошибка! Время просмотра должно быть в пределах от '.$auto_timer_ot.' сек. до '.$auto_timer_do.' сек.</b><br>';
			}else{
				if($limit==0 or $limit>$plan) $limit=$plan;

				mysql_query("UPDATE `seelf_auto` SET `limit_now`='$limit_now', `timer`='$timer', `plan`='$plan', `limit`='$limit', `limit_now`='$limit', `url`='$url', `description`='$description' WHERE `id`='$id'") or die(mysql_error());

				echo "<br><font color=\"green\"><b>Ссылка успешно отредактирована.</b></font><br>";
			}
		}
	}
}

if(isset($_GET["id"])) {

	$id = intval($_GET["id"]);
	$option = limpiar($_GET["option"]);

	if($option=="edit") {
		$sql = mysql_query("SELECT * FROM `seelf_auto` WHERE `id`='$id'");
		if(mysql_num_rows($sql)>0) {
			$registroe = mysql_fetch_array($sql);

			?><form method="post" action="">
			<table>
			<tr><th width="200" align="left">№</th><td align="left"><input type="hidden" name="id" value="<?= $registroe["id"] ?>"><?= $registroe["id"] ?></td></tr>
			<tr><th width="200" align="left">Осталось:</th><td align="left"><input type="text" name="limit_now" value="<?= $registroe["limit_now"] ?>"></td></tr>
			<tr><th width="200" align="left">Кол-во показов:</th><td align="left"><input type="text" size="5" maxlength="6" name="plan" value="<?= $registroe["plan"] ?>"></td></tr>
			<tr><th width="200" align="left">URL:</th><td align="left"><input type="text" size="100" maxlength="160" name="url" value="<?= $registroe["url"] ?>"></td></tr>
			<tr><th width="200" align="left">Описание:</th><td align="left"><input type="text" size="100" maxlength="150" name="description" value="<?= $registroe["description"] ?>"></td></tr>
			<tr><th width="200" align="left">Таймер:</th><td align="left"><input type="text" size="10" maxlength="3" name="timer" value="<?= $registroe["timer"] ?>"></td></tr>
			<tr><th width="200" align="left">Ограничение показов в сутки:</th><td align="left"><input type="text" size="10" maxlength="6" name="limit" value="<?= $registroe["limit"] ?>"></td></tr>
			<tr><th width="200" align="left"></th><td align="left"><input type="submit" value="сохранить" class="button"></td></tr>
			</table>
			</form><br><?
		}
	}

	if($option=="del") {
		mysql_query("DELETE FROM seelf_auto WHERE id='$id'") or die(mysql_error());
		echo "<font color=\"#cc0000\"><b>Реклама удалена.</b></font><br><br>";
	}
}
?>
<table cellspacing="0" cellpadding="0" width="100%">
<tr>
	<th>№</th>
	<th>URL</th>
	<th>Описание</th>
	<th>План</th>
	<th>Осталось</th>
	<th>Таймер</th>
	<th>Показов в сутки</th>
	<th>Цена</th>
	<th>Ip</th>
	<th></th>
	<th></th>
</tr>
<?php
$tabla = mysql_query("SELECT * FROM `seelf_auto` WHERE status='pay' ORDER BY id ASC");
while ($registro = mysql_fetch_array($tabla)) {

	echo '<tr>';
	echo '<td>'.$registro["id"].'</td>';
	echo '<td><a href="'. $registro["url"].'" title="'. $registro["url"].'" target="_blank">Ссылка</a></td>';
	echo '<td><a href="#" title="'.$registro["description"].'">Описание</a></td>';
	echo '<td>'.$registro["plan"].'</td>';
	echo '<td>'.$registro["limit_now"].'</td>';
	echo '<td>'.$registro["timer"].' сек.</td>';
	echo '<td>'.$registro["limit"].'</td>';
	echo '<td>'.$registro["money"].' руб.</td>';
	echo '<td>'.$registro["ip"].'</td>';
	echo '<td><form method="post" action="adminmain.php?p=edit_autoserfing&op='.limpiar($_GET["op"]).'&id='.$registro["id"].'&amp;option=edit"><input type="submit" value="Редактировать" class="button"></form></td>';
	echo '<td><form method="post" action="adminmain.php?p=edit_autoserfing&op='.limpiar($_GET["op"]).'&id='.$registro["id"].'&amp;option=del"><input type="submit" value="Удалить" class="button"></form></td>';
	echo '</tr>';
}
?>
</table>